# pollux

pollux is a Gemini Project server written in Rust.


## Installation

- clone the repository

- install openssl development headers

- run `cargo build --release`

- run target/release/pollux your_key.pfx your_key_password

Pollux will for now only serve an index.gemini file that has to be where you cloned pollux.


## Generating a key

Here are the steps I took, maybe there is a simpler way:

```
λ openssl genrsa -out key.pem 1024
λ openssl req -new -key key.pem -out request.pem
λ openssl x509 -req -days 3650 -in request.pem -signkey key.pem -out certificate.pem
λ openssl pkcs12 -export -inkey key.pem  -in certificate.pem -name pollux -out pollux.pfx
```
